from scene import *
import random

class Ball:
  def __init__(self, x, y, vx, vy, bounds_w, bounds_h):
    self.x, self.y, self.vx, self.vy = x, y, vx, vy
    self.bounds_w, self.bounds_h = bounds_w, bounds_h
  def move(self):
    self.x = self.x + self.vx
    self.y = self.y + self.vy
    if self.x > self.bounds_w or self.x < 0:
      self.vx = -self.vx
    if self.y > self.bounds_h or self.y < 0:
      self.vy = -self.vy

class MyScene(Scene):
  def setup(self):
    self.background_color = 'black'
    self.ball_list = []

  def draw(self):
    fill('red')
    for b in self.ball_list:
      b.move()
      ellipse(b.x - 5, b.y - 5, 10, 10)

  def touch_began(self, touch):
    x, y = touch.location.x, touch.location.y
    vx = random.uniform(-2, 2)
    vy = random.uniform(-2, 2)
    b = Ball(x, y, vx, vy, self.bounds.w, self.bounds.h)
    self.ball_list.append(b)

run(MyScene(), PORTRAIT, show_fps=True)
